System.Web 2.0.0.0 System.Object

ASP.NET health monitoring allows production and operations staff to manage deployed Web applications. The namespace contains the health-event types responsible for packaging application health-status data and the provider types responsible for processing this data. It also contains supporting types that help during the management of health events.

The is a supporting type used to uniformly format event-related information, which is useful if the event data must be logged and later presented to the user..

Instances of the class are passed as arguments to the formatting methods defined by the health-event types.

Formats ASP.NET health monitoring event information.

- Method
  System.Void ``

  The method allows you to customize the event information by adding your own event-specific data.

  Appends the specified string and a carriage return to the event information.

  The string to add to the event information. 2.0.0.0
- Property
  System.Int32 To be added.

  The property allows you to control how the event information is indented. The base unit of indentation is defined by the property. For each indentation level, you increase the indentation one tab.

  Gets or sets the indentation level.

  2.0.0.0
- Property
  System.Int32 To be added.

  The property allows you to control the tab size used when writing event information. The determines the number of spaces per unit of indentation, controlled by property.

  Gets or sets the tab size.

  2.0.0.0
- Method
  System.String

  The uses an internal variable to store the event information. This method allows you to get all the information in a string format.

  Returns the event information in string format.

  The event information.

  2.0.0.0